Bug 519317 - AR PL UMing HK Light does not show properly in x86_64
Summary: AR PL UMing HK Light does not show properly in x86_64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 13
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 517785 520314 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 05:30 UTC by Ding-Yi Chen
Modified: 2010-11-25 10:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-25 10:54:39 UTC


Attachments (Terms of Use)
Messy Display of Gucharmap (44.84 KB, image/png)
2009-08-30 13:53 UTC, CW Lin
no flags Details
Bad Login Screen (387.72 KB, image/png)
2009-09-10 07:10 UTC, CW Lin
no flags Details
Normal Login Screen (404.00 KB, image/png)
2009-09-10 07:11 UTC, CW Lin
no flags Details
Messy Display from Fresh Install of F11 x86_64 (348.81 KB, image/png)
2009-10-09 18:33 UTC, CW Lin
no flags Details
Missing Characters in pango-view (391.50 KB, image/png)
2009-10-12 16:26 UTC, CW Lin
no flags Details

Description Ding-Yi Chen 2009-08-26 05:30:39 UTC
Description of problem:
I have done two clean installs of Fedora 11, x86_64 and i386 respectively. 
Both are using "Traditional Chinese" during the install process and apply the
latest update after installation.

I take a look at the font size and DPI setting on both of them and they are the
same as listed below:
應用程式字型:Sans,10
文件字型:    Sans,10
桌面字型:    Sans,14
視窗標題字型:Sans Bold 10
固定寬度字型:Monospace 10
解析度:96 DPI

Then I open "gucharmap" and search the character "糓" (U+7CD4).
Change the font size to 12, 11 and 10.

The i386 version works quite well.

However, the display on the x86_64 one become messy.
And the following warning message appear on the terminal:
(gucharmap:1997): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='AR PL UMing HK Light 12', text='糔'

(gucharmap:1997): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='AR PL UMing HK Light 11', text='糔'

(gucharmap:1997): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='AR PL UMing HK Light 9.9990234375',
text='糔'  

Version-Release number of selected component (if applicable):


How reproducible:
Always in x86_64

Steps to Reproduce:
1. open "gucharmap" and 
2. search the character "糔" (U+7CD4).
3. Change the font size to 12, 11 and 10.

 
Actual results:
Display on the x86_64 one become messy.
And the following warning message appear on the terminal:
(gucharmap:1997): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='AR PL UMing HK Light 12', text='糔'

(gucharmap:1997): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='AR PL UMing HK Light 11', text='糔'

(gucharmap:1997): Pango-WARNING **: shaping failure, expect ugly output.
shape-engine='BasicEngineFc', font='AR PL UMing HK Light 9.9990234375',
text='糔'  


Expected results:
Character '糔' should be displayed properly without triggering Pango warning. 

Additional info:

Comment 1 Ding-Yi Chen 2009-08-26 08:01:15 UTC
*** Bug 517785 has been marked as a duplicate of this bug. ***

Comment 2 CW Lin 2009-08-30 13:53:23 UTC
Created attachment 359192 [details]
Messy Display of Gucharmap

Comment 3 Behdad Esfahbod 2009-08-31 21:25:13 UTC
*** Bug 520314 has been marked as a duplicate of this bug. ***

Comment 4 Behdad Esfahbod 2009-08-31 21:28:40 UTC
Humm, I'd need access to such a machine to test.

Comment 5 Jens Petersen 2009-09-08 14:43:17 UTC
very strange

Comment 6 CW Lin 2009-09-10 07:10:20 UTC
Created attachment 360444 [details]
Bad Login Screen

:(

Comment 7 CW Lin 2009-09-10 07:11:31 UTC
Created attachment 360445 [details]
Normal Login Screen

:)

Comment 8 Jens Petersen 2009-10-06 09:22:56 UTC
Can you reproduce with F12?

If so can you provide Behdad with access please.

Comment 9 CW Lin 2009-10-07 08:00:04 UTC
This bug can be reproduced with x86_64 F12 too,

It is easy to reproduce this bug.
Just do the clean installation with the language of "Traditional Chinese".
Set DPI to 96.
Set font Size to "10, 10, 14, 10, 10" as mentioned in the bug description.
Launch the program "gucharmap".
Search the character U+7CD3 "糓"
Change the size to 12, 11 and 10, sequentially.
And you will see the messy display.

If you are too busy to install F12 with "Traditional Chinese",
I can do the installation for you.
Please provide a virtual machine with "Fedora-12-Alpha-x86_64-DVD.iso"
and let me know how to access it.

Thanks for the effort of fixing this annoying bug.

Comment 10 Jens Petersen 2009-10-08 03:34:21 UTC
Changing Desktop Font has no effect on gucharmap for me.

Comment 11 Jens Petersen 2009-10-09 04:03:02 UTC
I haven't been able to reproduce this yet: though I saw
the gdm issue on dchen's machine.

CW Lin: what does "rpm -qa \*fonts\* pango fontconfig | sort"

Output for you?


With F11 x86_86 install without updates I have:

abyssinica-fonts-1.0-4.fc11.noarch
bitmap-fonts-0.3-7.fc11.noarch
cjkuni-fonts-common-0.2.20080216.1-23.fc11.noarch
cjkuni-uming-fonts-0.2.20080216.1-23.fc11.noarch
dejavu-fonts-common-2.29-2.fc11.noarch
dejavu-sans-fonts-2.29-2.fc11.noarch
dejavu-sans-mono-fonts-2.29-2.fc11.noarch
dejavu-serif-fonts-2.29-2.fc11.noarch
fontconfig-2.7.1-1.fc11.i586
fontconfig-2.7.1-1.fc11.x86_64
ghostscript-fonts-5.50-20.fc11.noarch
jomolhari-fonts-0.003-7.fc11.noarch
kacst-fonts-2.0-2.fc11.noarch
khmeros-base-fonts-5.0-6.fc11.noarch
khmeros-fonts-common-5.0-6.fc11.noarch
liberation-fonts-common-1.04.93-10.fc11.noarch
liberation-mono-fonts-1.04.93-10.fc11.noarch
liberation-sans-fonts-1.04.93-10.fc11.noarch
liberation-serif-fonts-1.04.93-10.fc11.noarch
lklug-fonts-0.2.2-9.fc11.noarch
lohit-bengali-fonts-2.3.8-1.fc11.noarch
lohit-fonts-common-2.3.8-1.fc11.noarch
lohit-gujarati-fonts-2.3.8-1.fc11.noarch
lohit-hindi-fonts-2.3.8-1.fc11.noarch
lohit-kannada-fonts-2.3.8-1.fc11.noarch
lohit-maithili-fonts-2.3.8-1.fc11.noarch
lohit-oriya-fonts-2.3.8-1.fc11.noarch
lohit-punjabi-fonts-2.3.8-1.fc11.noarch
lohit-tamil-fonts-2.3.8-1.fc11.noarch
lohit-telugu-fonts-2.3.8-1.fc11.noarch
padauk-fonts-2.4-3.fc11.noarch
paktype-fonts-2.0-3.fc11.noarch
pango-1.24.5-1.fc11.i586
pango-1.24.5-1.fc11.x86_64
smc-fonts-common-04.1-6.fc11.noarch
smc-meera-fonts-04.1-6.fc11.noarch
stix-fonts-0.9-12.fc11.noarch
thai-scalable-fonts-common-0.4.11-3.fc11.noarch
thai-scalable-waree-fonts-0.4.11-3.fc11.noarch
un-core-fonts-dotum-1.0.2-0.7.080608.fc11.noarch
urw-fonts-2.4-7.fc11.noarch
vlgothic-fonts-20090204-3.fc11.noarch
vlgothic-fonts-common-20090204-3.fc11.noarch

Comment 12 Ding-Yi Chen 2009-10-09 04:14:39 UTC
On affected machine, gdm login screen:

1. In language selection, select 中文 (台灣), which might shows like comment #6.
2. Login to the system.
3. cat /var/log/gdm/:0-greeter.log, there will be a line, such like:
gdm-simple-greeter[7797]: Pango-WARNING: shaping failure, expect ugly output. shape-engine='BasicEngineFc', font='AR PL UMing HK Light Oblique 8.33203125', text='中文 (台灣)'

Regards,
Ding-Yi Chen

Comment 13 CW Lin 2009-10-09 08:14:30 UTC
I think you did not select the language "Chinese (Taiwan) - 繁體中文".
If so, to reproduce this bug, the environment variable LANG has to be changed to "zh_TW.UTF-8".

Before you start the program "gucharmap", make sure the following configuration is set:
(1) System -> Administration -> Appearance -> Fonts -> Application Font: "Sans 10"
(2) System -> Administration -> Appearance -> Fonts -> Details -> Resolutions: "96" dots per inch

To see the messy display, enter the following command:

$ LANG=zh_TW.UTF-8 gucharmap

If you enter "LANG=en_US.UTF-8 gucharmap", this bug will not be reproduced.

Also remember to set the font in gucharmap to "Sans".
Then change the size in gucharmap to 12, 11, 10 sequentially.
Now you should be able to reproduce the bug.

By the way, the output of "rpm -qa \*fonts\* pango fontconfig | sort" on my machine is as follows:

abyssinica-fonts-1.0-4.fc11.noarch
bitmap-fonts-0.3-7.fc11.noarch
cjkuni-ukai-fonts-0.2.20080216.1-26.fc11.noarch
cjkuni-uming-fonts-0.2.20080216.1-26.fc11.noarch
dejavu-fonts-common-2.29-2.fc11.noarch
dejavu-sans-fonts-2.29-2.fc11.noarch
dejavu-sans-mono-fonts-2.29-2.fc11.noarch
dejavu-serif-fonts-2.29-2.fc11.noarch
fontconfig-2.7.1-1.fc11.i586
fontconfig-2.7.1-1.fc11.x86_64
ghostscript-fonts-5.50-20.fc11.noarch
jomolhari-fonts-0.003-7.fc11.noarch
kacst-fonts-2.0-2.fc11.noarch
khmeros-base-fonts-5.0-6.fc11.noarch
khmeros-fonts-common-5.0-6.fc11.noarch
liberation-fonts-common-1.04.93-10.fc11.noarch
liberation-mono-fonts-1.04.93-10.fc11.noarch
liberation-sans-fonts-1.04.93-10.fc11.noarch
liberation-serif-fonts-1.04.93-10.fc11.noarch
lklug-fonts-0.2.2-9.fc11.noarch
lohit-bengali-fonts-2.4.0-1.fc11.noarch
lohit-fonts-common-2.4.0-1.fc11.noarch
lohit-gujarati-fonts-2.4.0-1.fc11.noarch
lohit-hindi-fonts-2.4.0-1.fc11.noarch
lohit-kannada-fonts-2.4.0-1.fc11.noarch
lohit-maithili-fonts-2.4.0-1.fc11.noarch
lohit-oriya-fonts-2.4.0-1.fc11.noarch
lohit-punjabi-fonts-2.4.0-1.fc11.noarch
lohit-tamil-fonts-2.4.0-1.fc11.noarch
lohit-telugu-fonts-2.4.0-1.fc11.noarch
openoffice.org-opensymbol-fonts-3.1.1-19.2.fc11.x86_64
padauk-fonts-2.4-3.fc11.noarch
paktype-fonts-2.0-3.fc11.noarch
pango-1.24.5-1.fc11.i586
pango-1.24.5-1.fc11.x86_64
smc-fonts-common-04.1-6.fc11.noarch
smc-meera-fonts-04.1-6.fc11.noarch
stix-fonts-0.9-12.fc11.noarch
thai-scalable-fonts-common-0.4.11-3.fc11.noarch
thai-scalable-waree-fonts-0.4.11-3.fc11.noarch
un-core-fonts-dotum-1.0.2-0.8.080608.fc11.noarch
urw-fonts-2.4-7.fc11.noarch
vlgothic-fonts-20090612-1.fc11.noarch
vlgothic-fonts-common-20090612-1.fc11.noarch

Comment 14 Jens Petersen 2009-10-09 08:33:23 UTC
If you can reproduce from a fresh install that would be useful to know.

Comment 15 CW Lin 2009-10-09 17:46:32 UTC
This bug can be reproduced from a fresh install too.

Comment 16 CW Lin 2009-10-09 18:33:51 UTC
Created attachment 364281 [details]
Messy Display from Fresh Install of F11 x86_64

Comment 17 Ding-Yi Chen 2009-10-12 08:09:32 UTC
We managed to reproduce the bugs with F-11 and Rawhide x86_64 Live iso.
It does not have to be in zh_TW.UTF-8, in fact, if the font is sufficient small, (e.g. 10,11), there is quite a good chance this bug will pop up.

We also find that this bug appears in gucharmap, gdm, and gnome-menu; but not gnome-terminal, gedit, and pango-view. We are still investigate the cause.

However, there are workaround for this bug, you can either:
1) Downgrade cjkunifont packages for F-9, these packages can still be found, for example, in fedora CVS (for building material) and prm.pbone.net (packed rpm).
2) If you don't really want bitmap fonts, remove /etc/fonts/conf.d/25-ttf-arphic-uming-bitmaps.conf.

Would you mind trying these?

Regards,

Comment 18 Ding-Yi Chen 2009-10-12 11:51:05 UTC
Sorry prm.pbone.net should be rpm.pbone.net

Comment 19 CW Lin 2009-10-12 16:12:19 UTC
I am glad to know that this bug was reproduced and you are trying to work it out.  My personal experience is that this bug also appears in the gnome-terminal and pango-view.  I will show it later.

Two months ago, I reported a bug 516360 that some Traditional Chinese characters will disappear within Firefox .  Now I think it may be a duplicate of this bug.  Perhaps you can look into the bug 516360 to see if it can be of any help.

For the time being, if some Chinese characters disappear in Firefox, I will try to adjust the font size, pressing Ctrl-+ or Ctrl-- until the missing characters show up.  That should be the easiest workaround to me.

Comment 20 CW Lin 2009-10-12 16:26:40 UTC
Created attachment 364487 [details]
Missing Characters in pango-view

#! /bin/bash

LANG=en_US.UTF-8 pango-view --waterfall --text "LANG=en_US 淿糓䶜" &
LANG=zh_TW.UTF-8 pango-view --waterfall --text "LANG=zh_TW 淿糓䶜" &

Comment 21 Jens Petersen 2009-10-13 00:34:38 UTC
Moving to pango.  This is x86_64 only and looks serious.

Comment 22 Jens Petersen 2009-10-13 04:50:49 UTC
I tried with F11 x86_64 (on a 19" 1280x1024 display):

$ LANG=en_US.UTF-8 pango-view --waterfall --text "LANG=en_US 糓䶜"

This displays okay for me, but:

> LANG=zh_TW.UTF-8 pango-view --waterfall --text "LANG=zh_TW 糓䶜"

hangs before rendering the first (smallest) 糓.

On rawhide with 17" monitor: similar results except LANG=en_US
hangs after first 糓.

Comment 23 Bug Zapper 2009-11-16 11:41:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 24 Bug Zapper 2010-11-04 10:22:25 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 25 Akira TAGOH 2010-11-24 04:52:28 UTC
I may be missing something to reproduce this issue but the testcase at comment#22 seems working for me on kvm rawhide with:

pango-1.28.3-1.fc15.x86_64
cjkuni-ukai-fonts-0.2.20080216.1-45.fc15.noarch
cjkuni-uming-fonts-0.2.20080216.1-45.fc15.noarch
dejavu-sans-fonts-2.32-1.fc15.noarch
dejavu-sans-mono-fonts-2.32-1.fc15.noarch
dejavu-serif-fonts-2.32-1.fc15.noarch
ghostscript-fonts-5.50-23.fc12.noarch
jomolhari-fonts-0.003-9.fc14.noarch
khmeros-base-fonts-5.0-10.fc14.noarch
liberation-mono-fonts-1.06.0.20100721-3.fc15.noarch
liberation-sans-fonts-1.06.0.20100721-3.fc15.noarch
liberation-serif-fonts-1.06.0.20100721-3.fc15.noarch
libreoffice-opensymbol-fonts-3.2.99.2-6.fc15.noarch
lklug-fonts-0.6-4.20090803cvs.fc14.noarch
lohit-assamese-fonts-2.4.3-5.fc14.noarch
lohit-bengali-fonts-2.4.3-5.fc14.noarch
lohit-devanagari-fonts-2.4.3-7.fc15.noarch
lohit-gujarati-fonts-2.4.4-3.fc14.noarch
lohit-kannada-fonts-2.4.5-4.fc15.noarch
lohit-oriya-fonts-2.4.3-6.fc15.noarch
lohit-punjabi-fonts-2.4.4-1.fc14.noarch
lohit-tamil-fonts-2.4.5-6.fc14.noarch
lohit-telugu-fonts-2.4.5-6.fc15.noarch
paktype-naqsh-fonts-3.0-3.fc14.noarch
paktype-tehreer-fonts-2.0-9.fc14.noarch
paratype-pt-sans-fonts-20100408-1.fc14.noarch
sil-abyssinica-fonts-1.0-9.fc14.noarch
sil-padauk-fonts-2.4-6.fc13.noarch
smc-meera-fonts-4.4-4.fc15.noarch
stix-fonts-1.0.0-1.fc14.noarch
thai-scalable-waree-fonts-0.4.14-1.fc15.noarch
un-core-dotum-fonts-1.0.2-0.15.080608.fc14.noarch
urw-fonts-2.4-9.fc13.noarch
vlgothic-fonts-20100818-1.fc15.noarch
vlgothic-p-fonts-20100818-1.fc15.noarch
wqy-zenhei-fonts-0.9.45-5.fc14.noarch

$ xdpyinfo
...
screen #0:
  dimensions:    1024x768 pixels (271x203 millimeters)
  resolution:    96x96 dots per inch
...

Comment 26 Jens Petersen 2010-11-25 04:42:32 UTC
Ding-Yi, can you still reproduce?

Comment 27 Ding-Yi Chen 2010-11-25 05:54:12 UTC
No I cannot reproduce it with RHEL6 (which is likely based on f12).

CW Lin, can you reproduce it with F-13 and later?

Comment 28 CW Lin 2010-11-25 10:13:21 UTC
It  seems OK in F-13

Comment 29 Akira TAGOH 2010-11-25 10:54:39 UTC
Great. thank you for confirmation. closing this now. please reopen if you still see this issue.


Note You need to log in before you can comment on or make changes to this bug.